/* -------------------------------------------------------------------- */
/* -------------------------------------------------------------------- */

#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>
#include <strings.h>
#include <errno.h>
#include <string.h>
#include <netdb.h>
#include <sys/types.h>
#include <netinet/in.h>
#include <sys/socket.h>

#include "client_lib.h"

/* -------------------------------------------------------------------- */
/* -------------------------------------------------------------------- */
int client_connect(char *host, int port)
{
	int sockfd;
	struct hostent *he;
	struct sockaddr_in their_addr; 		/* connector's address information */


	if ((he=gethostbyname(host)) == NULL) 
	{	perror("Client gethostbyname");
	  	exit(1);		/* get the host info */
	}

	if ((sockfd = socket(AF_INET, SOCK_STREAM, 0)) == -1) 
	{	perror("Client socket");
		exit(1);
	}

	their_addr.sin_family = AF_INET;	/* host byte order 		*/
	their_addr.sin_port = htons(port); 	/* short, network byte order 	*/

	their_addr.sin_addr = *((struct in_addr *)he->h_addr);

	bzero(&(their_addr.sin_zero[0]), 8);	/* zero the rest of the struct 	*/

	if (connect(sockfd, (struct sockaddr *)&their_addr, sizeof(struct sockaddr)) == -1) 
	{	perror("Client connect");
		exit(1);
	}


	return sockfd;
}

